<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>What2Eat</title>
    <link rel="stylesheet" href="style.css" />

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Squada+One&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>
  <body onload="onPageLoading()">
    <!--begin first section-->
    <div class="firstsection" id="firstsection">
      <header>
        <div class="first">
          <h1>WHAT2EAT</h1>
        </div>
        <div class="middle">
          <a href="#firstsection">Home</a>
          <a href="#about">About</a>
          <a href="#secondsection">Menu</a>
          <a href="#fourthsection">Blog</a>
          <a href="#fifthsection">Contact</a>
        </div>
        <div class="last">
          <a href="#"
            ><img src="images/akar-icons_search.png" alt="search-icon"
          /></a>
          <a href="#"> <img src="images/cart.svg" alt="cart-icon" /></a>
        </div>
      </header>

      <div id="main">
        <div class="left">
          <h1>Authentic Home Food in UK</h1>
          <p>
            What2Eat is a courier service in which authentic home cook food is
            delivered to a customer.
          </p>
          <form action="#">
            <input type="text" id="search"  placeholder="Search food you love"/>
            <input type="submit" name="Search" value="Search" id="Search" />
          </form>
        </div>
        <div class="right">
          <img src="images/cuate.png" alt="cuate-icon" />
        </div>
      </div>
    </div>
    <!--end first section-->

    <!--begin second section-->
    <div class="secondsection" id="secondsection">
      <div class="box">
        <h2>Home Kitchen</h2>
        <div class="buttons">
          <button>All</button><button>Button</button
          ><button>Free delivery</button><button>New</button
          ><button>Coming</button>
        </div>
        <select name="select" id="select">
          <option value="Filter">Filter</option>
          <option value="Shuffle">Shuffle</option>
        </select>
      </div>
    </div>
    <!--end second section-->

    <!--begin third section-->
    <div class="col-sm-12 thirdsection">
      <div class="row flex-container" id="size-combo-container">

      </div>
      <button>+ Load more...</button>
    </div>
    <!--end third section-->

    <!--begin fourth section-->
    <div class="container-fluid blog-section" id="blog-section">
      <h4>Our Blog</h4>
      <div class="blog-cards row">
          <div class="blog-sub">
              <div class="card-blog-0">
                  <div class="blog-image">
                      <img src="images/img9.png" alt="">
                  </div>
                  <div class="blog-title">Most Satisfying Cake decorating Cake ideas</div>
                  <div class="blog-des">Quis hendrerit nibh mauris sed faucibus. Quis hendrerit nibh mauris sed
                      faucibus is sed faucibus.</div>
              </div>
              <div class="card-blog-1">
                  <div class="blog-image">
                      <img src="images/img10.png" alt="">
                  </div>
                  <div class="blog-title">Most Satisfying Cake decorating Cake ideas</div>
                  <div class="blog-des">Quis hendrerit nibh mauris sed faucibus. Quis hendrerit nibh mauris sed
                      faucibus is sed faucibus.</div>
              </div>
          </div>
          <div class="blog-main">
              <div class="card-blog-2">
                  <div class="blog-image">
                      <img src="images/img11.png" alt="">
                  </div>
                  <div class="blog-title">Most Satisfying Cake decorating Cake ideas</div>
                  <div class="blog-des">Quis hendrerit nibh mauris sed faucibus. Quis hendrerit nibh mauris sed
                      faucibus is sed faucibus.</div>
              </div>
          </div>
          <div class="blog-sub">
              <div class="card-blog-3">
                  <div class="blog-image">
                      <img src="images/img12.png" alt="">
                  </div>
                  <div class="blog-title">Most Satisfying Cake decorating Cake ideas</div>
                  <div class="blog-des">Quis hendrerit nibh mauris sed faucibus. Quis hendrerit nibh mauris sed
                      faucibus is sed faucibus.</div>
              </div>
              <div class="card-blog-4">
                  <div class="blog-image">
                      <img src="images/img13.png" alt="">
                  </div>
                  <div class="blog-title">Most Satisfying Cake decorating Cake ideas</div>
                  <div class="blog-des">Quis hendrerit nibh mauris sed faucibus. Quis hendrerit nibh mauris sed
                      faucibus is sed faucibus.</div>
              </div>
          </div>
      </div>
  </div>
    <!--end fourth section-->
<br>
<!--begin fifth section-->
    <div class="fifth-section" id="fifthsection">
      <div class="container">
        <div class="box">
          <h2>Do you have a question or want to become a seller?</h2>
          <p>Fill this form and our manager will contact you next 48 hours.</p>
          <form action="#">
            <textarea placeholder="Your Name"></textarea>
            <textarea placeholder="Your e-mail"></textarea>
            <textarea placeholder="Your Message"></textarea>
          </form>
          <button class="btn btn-warning mt-3 rounded">Send question</button>
        </div>
        <div>
          <img src="images/Food_delivery_cute_man_riding_motorcycles_cartoon_art_illustration 2.png" alt="delivery-man-img"/>
        </div>
      </div>
    </div>
<!--end fifth section-->

<!--begin footer section-->
    <footer>
      <div class="footer">
        <div class="first">
          <h1>WHAT2EAT</h1>
        </div>
        <div class="middle">
          <a href="#firstsection">Home</a>
          <a href="#about">About</a>
          <a href="#secondsection">Menu</a>
          <a href="#fourthsection">Blog</a>
          <a href="#fifthsection">Contact</a>
        </div>
        <div class="last">
          <img src="images/facebook.png" alt="facebook-icon" />
          <img src="images/instagram.png" alt="instagram-icon" />
        </div>
      </div>
      <div class="foot-end">
        <hr />
        <p>Copyright @2021 What2Eat</p>
      </div>
    </footer>
<!--end footer section-->
  </body>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL_BLOGS = "https://64747ed27de100807b1b0fa4.mockapi.io/api/v1/blogs";
    const gBASE_URL_PIZZA = "https://64747ed27de100807b1b0fa4.mockapi.io/api/v1/pizza";
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm xử lý tải trang
    function onPageLoading() {
      //Lấy danh sách type pizza đưa ra trang web
      callApiLoadPizzaProduct();
      callAPIBlogsProduct();
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function callApiLoadPizzaProduct() {
      $.ajax({     
        url: gBASE_URL_PIZZA,  
        type: "GET",
        success: function (paramTypes) {
          console.log(paramTypes);
          var vPizzaTypesContainerDiv = $("#size-combo-container");
          for (var bI = 0; bI < paramTypes.length; bI++) {
            vPizzaTypesContainerDiv.append(`
            <div class="col-sm-4 flex-box">
              <div class="card w-100">
                <img src="${paramTypes[bI].imageUrl}"/>
                <h2>${paramTypes[bI].name} <span class="text-center">$ ${paramTypes[bI].price}</span></h2>
                <h3>
                  <span><img src="images/star.svg" alt="star-icon" />${paramTypes[bI].rating}</span>
                  <span>${paramTypes[bI].time}</span>
                  <img src="images/plus.png" alt="plus-icon" style="float:right" />
                </h3>
              </div>
              
            </div>
            `);
          }
        },
        error: function (paramError) {
          console.log("Status:" + paramError.status);
          console.log("State:" + paramError.state);
        }
      });
    }
    function callAPIBlogsProduct(){
      $.ajax({
            url: gBASE_URL_BLOGS,
            type: "GET",
            success: function (paramBlogList) {
              console.log(paramBlogList);
                for (var bI = 0; bI < paramBlogList.length; bI++) {
                    $(`.card-blog-${bI}`).find(".blog-image img").attr("src", paramBlogList[bI].imageUrl);
                    $(`.card-blog-${bI}`).find(".blog-title").html(paramBlogList[bI].title);
                    $(`.card-blog-${bI}`).find(".blog-des").html(paramBlogList[bI].description);
                }
            },
            error: function (paramError) {
                console.log(paramError.status);
            }
        });
    }
  </script>
  
</html>
